Subject: Re: [Alsa-devel] [RFC 01/12] snd-powermac: no longer handle anything with a layout-id property

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 07 Jul 2006 18:27:41 +1000

On Fri, 2006-07-07 at 10:22 +0200, Johannes Berg wrote:
> On Fri, 2006-07-07 at 18:13 +1000, Benjamin Herrenschmidt wrote:
> 
> > Maybe ... or not... I'd rather not bother. I think Alsa should be able
> > to create softvol if there is no Master volume...
> 
> But how long should it wait for the master volume to become available?
> Thing is, as far as I understand this, the mixer is dynamic and you can
> add and remove things at any time essentially. No one does, but that's
> another story.

Well, when the master volume shows up, softvol can "unplug" itself :)

Ben.